package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @TableName intention
 */
@TableName(value ="intention")
@Data
public class Intention implements Serializable {
    /**
     * 意图表
     */
    @TableId
    private String id;

    /**
     * 摘要
     */
    private String digest;

    /**
     * 描述详情
     */
    private String desc;

    /**
     * 领域分类id
     */
    private String domainCategoryId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}